Bug 1119241 - Zero-minimum possessive groups does not match empty string in
Summary: Zero-minimum possessive groups does not match empty string in
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://bugs.exim.org/show_bug.cgi?id=...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:13 UTC by Petr Pisar
Modified: 2014-07-30 21:56 UTC (History)
3 users (show)

Fixed In Version: pcre-8.32-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1119320 (view as bug list)
Environment:
Last Closed: 2014-07-19 06:02:24 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-14 11:13:27 UTC
The JIT mode and Perl matches like this:

$ printf '%s\n%s\n' '/\A(?:[^"]++|"(?:[^"]*+|"")*+")++/' 'NON QUOTED "QUOT""ED" AFTER "NOT MATCHED' | pcretest -s++
PCRE version 8.33 2013-05-28

  re> data>  0: NON QUOTED "QUOT""ED" AFTER  (JIT)
data> 

While the interpreter mode does not:

$ printf '%s\n%s\n' '/\A(?:[^"]++|"(?:[^"]*+|"")*+")++/' 'NON QUOTED "QUOT""ED" AFTER "NOT MATCHED' | pcretest 
PCRE version 8.33 2013-05-28

  re> data>  0: NON QUOTED 
data> 

this is fixed with upstream commit:

commit d27238d61fdbd404b2caa5eac9332cdf76a604fc
Author: ph10 <ph10@2f5784b3-3f2a-0410-8824-cb99058d5e15>
Date:   Tue May 27 13:18:31 2014 +0000

    Fix empty-matching possessive zero-repeat groups bug.
    
    
    git-svn-id: svn://vcs.exim.org/pcre/code/trunk@1478 2f5784b3-3f2a-0410-8824-cb99058d5e15

All Fedoras are affected.

Comment 1 Fedora Update System 2014-07-14 15:22:11 UTC
pcre-8.33-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcre-8.33-6.fc20

Comment 2 Fedora Update System 2014-07-14 15:28:06 UTC
pcre-8.32-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcre-8.32-10.fc19

Comment 3 Fedora Update System 2014-07-16 02:00:16 UTC
Package pcre-8.33-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcre-8.33-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8346/pcre-8.33-6.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-19 06:02:24 UTC
pcre-8.33-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-07-30 21:56:20 UTC
pcre-8.32-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.